﻿<UserControl x:Class="VECTO3GUI2020.Views.Multistage.MultistageAirDragView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.Multistage"
             xmlns:customControlsMultistage="clr-namespace:VECTO3GUI2020.Views.Multistage.CustomControls"
             xmlns:customControls="clr-namespace:VECTO3GUI2020.Views.CustomControls"
             xmlns:impl="clr-namespace:VECTO3GUI2020.ViewModel.MultiStage.Implementation"
             xmlns:properties="clr-namespace:VECTO3GUI2020.Properties"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800" BorderBrush="{DynamicResource ButtonHighlightColor}" BorderThickness="2" Margin="4"
             d:DataContext="{d:DesignInstance impl:MultistageAirdragViewModel}">
    <Grid>
        <ScrollViewer>
            <DockPanel>
                <StackPanel DockPanel.Dock="Top">
                    <Label Content="AIRDRAG" HorizontalAlignment="Stretch" Background="{DynamicResource ButtonHighlightColor}" Style="{DynamicResource LabelStyle1}"/>
                    <DockPanel HorizontalAlignment="Stretch" >
                        <Button Width="30" Margin="4" DockPanel.Dock="Right"  
                                Style="{DynamicResource FilePickerButtonStyle}" 
                                ContentTemplate="{DynamicResource TrashIcon}"
                                Command="{Binding RemoveAirdragDataCommand}">
                            
                        </Button>
                        <customControlsMultistage:FilePicker 
                            DockPanel.Dock="Left"
                            Text="{Binding AirdragFilePath, TargetNullValue=Select Airdrag Input Data}" 
                            Command="{Binding LoadAirdragFileCommand}"/>
                    </DockPanel>

                    <StackPanel HorizontalAlignment="Stretch" Margin="4" >
                        <StackPanel Visibility="{Binding ShowConsolidatedData,
                            Converter={StaticResource BooleanToVisibilityConverter}}">
                        <Label Style="{DynamicResource LabelStyle1}">Consolidated Airdrag Data</Label>
                        <StackPanel Visibility="{Binding ConsolidatedAirdragData, Converter={StaticResource NullToVisibilityConverter}}">
                            <customControlsMultistage:LabledTextBoxMultistage Content="{Binding ConsolidatedAirdragData.Manufacturer, Mode=OneWay}" ReadOnly="True"/>
                            <customControlsMultistage:LabledTextBoxMultistage Content="{Binding ConsolidatedAirdragData.Model, Mode=OneWay}" ReadOnly="True"/>
                            <customControlsMultistage:LabledTextBoxMultistage Content="{Binding ConsolidatedAirdragData.AirDragArea, Mode=OneWay}" ReadOnly="True"/>
                        </StackPanel>
                        <Label Visibility="{Binding ConsolidatedAirdragData, Converter={StaticResource NullToVisibilityConverter}, ConverterParameter=invert}">No data set</Label>
                        </StackPanel>
                        <Label Style="{DynamicResource LabelStyle1}">Data from File</Label>
                        <ContentControl Content="{Binding AirDragViewModel}" 
                                        Visibility="{Binding AirDragViewModel, Converter={StaticResource NullToVisibilityConverter}}">
                            <ContentControl.ContentTemplate>
                                <DataTemplate>
                                    <local:AirDragView_v2_8 DataContext="{Binding }"/>
                                </DataTemplate>
                            </ContentControl.ContentTemplate>
                        </ContentControl>
                    </StackPanel>
                </StackPanel>
            </DockPanel>
        </ScrollViewer>
    </Grid>
</UserControl>
